import { defineConfig } from 'vitepress'

export default defineConfig({
  title: 'Funkwhale Vue Components',
  outDir: '../public',
  cleanUrls: true,
  themeConfig: {
    nav: [
      { text: 'Home', link: 'https://funkwhale.audio' },
      { text: 'Gitlab', link: 'https://dev.funkwhale.audio/funkwhale/ui' },
    ],
    sidebar: [
      {
        text: 'Components',
        items: [
          { text: 'Activity', link: '/components/activity' },
          { text: 'Alert', link: '/components/alert' },
          {
            text: 'Card', link: '/components/card',
            items: [
              { text: 'Album Card', link: '/components/card/album' },
              { text: 'Artist Card', link: '/components/card/artist' },
              { text: 'Playlist Card', link: '/components/card/playlist' },
              { text: 'Podcast Card', link: '/components/card/podcast' },
              { text: 'Radio Card', link: '/components/card/radio' },
            ],
          },
          {
            text: 'Content Navigation',
            items: [
              { text: 'Pagination', link: '/components/pagination' },
              { text: 'Table of Contents', link: '/components/toc' },
              { text: 'Tabs', link: '/components/tabs' },
            ],
          },
          {
            text: 'Form',
            items: [
              {
                text: 'Button', link: '/components/button',
                items: [
                  { text: 'Options Button', link: '/components/button/options' },
                  { text: 'Play Button', link: '/components/button/play' },
                ],
              },
              { text: 'Input', link: '/components/input' },
              { text: 'Popover', link: '/components/popover' },
              { text: 'Textarea', link: '/components/textarea' },
              { text: 'Toggle', link: '/components/toggle' },
            ],
          },
          {
            text: 'Layout', link: '/components/layout/',
            items: [{ text: "Spacer", link: "/components/layout/spacer" }]
          },
          { text: 'Loader', link: '/components/loader' },
          { text: 'Modal', link: '/components/modal' },
          { text: 'Pill', link: '/components/pill' },
        ],
      },
    ],
    search: {
      provider: 'local',
    },
  },
})
