import { createI18n } from 'vue-i18n'

import DefaultTheme from 'vitepress/theme'
import en from '~/locales/en.yaml'

import Funkwhale from '~/../dist/vui'
import '~/../dist/style.css'
import Layout from './Layout.vue'

export default {
  ...DefaultTheme,
  Layout: Layout,
  enhanceApp({ app }) {
    const i18n = createI18n({
      legacy: false,
      locale: 'en',
      fallbackLocale: 'en',
      messages: { en }
    })

    app.use(Funkwhale)
    app.use(i18n)
  }
}
