<script setup lang="ts">
const playlist = {
  name: 'Incredible Playlist',
  user: {
    full_username: '@username:example.com',
    username: 'username'
  },
  tracks_count: 27,
  album_covers: [
    'https://images.unsplash.com/photo-1524650359799-842906ca1c06?ixlib=rb-1.2.1&dl=te-nguyen-Wt7XT1R6sjU-unsplash.jpg&w=640&q=80&fm=jpg&crop=entropy&cs=tinysrgb',
    'https://unsplash.com/photos/SVGan4GCopM/download?ixid=MnwxMjA3fDB8MXxzZWFyY2h8MTV8fG11c2ljaWFufGVufDB8Mnx8fDE2NjI5NzQwNjI&force=true&w=640',
    'https://unsplash.com/photos/P4gXe-RsEXI/download?ixid=MnwxMjA3fDB8MXxzZWFyY2h8Nnx8cGVyZm9ybWVyfGVufDB8Mnx8fDE2NjMwMTM3OTE&force=true&w=640'
  ]
}
</script>

# Playlist card

Playlist cards are specialized cards that represent playlists in Funkwhale's interface. Pass a playlist object to the `playlist` prop to generate a card with the following:

- A collage of up to 4 album covers from the playlist
- The playlist title
- The user who owns the playlist
- The number of tracks in the playlist

| Prop       | Data type       | Required? | Description                           |
| ---------- | --------------- | --------- | ------------------------------------- |
| `playlist` | Playlist object | Yes       | The playlist represented by the card. |

The card includes a [play button](../button/play.md) that plays the playlist and a [popover](../popover.md) containing other actions the user can perform.

```vue-html
<fw-playlist-card :playlist="playlist" />
```

<div style="display: grid; grid-template-columns: auto auto 1fr; grid-gap: 2rem;">
<fw-playlist-card :playlist="playlist" />
<fw-playlist-card :playlist="{ ...playlist, album_covers: [] }" />
</div>
