import { fileURLToPath, URL } from 'node:url'
import { defineConfig } from 'vite'

import yaml from '@modyfi/vite-plugin-yaml'

export default defineConfig({
  plugins: [yaml()],
  publicDir: false,
  resolve: {
    alias: {
      '~': fileURLToPath(new URL('../src', import.meta.url)),
      '/node_modules': fileURLToPath(new URL('../node_modules', import.meta.url))
    }
  },
  css: {
    preprocessorOptions: {
      scss: {
        additionalData: `
          @import "~/styles/inc/theme";
          @import "~/styles/inc/docs";
          $docs: ${!!process.env.VP_DOCS};
        `,
      },
    },
  },
})
